VMTKBRANCHMAPPING(1)

NAME
vmtkbranchmapping - vmtk script vmtkbranchmapping

DESCRIPTION
Automatic piping vmtkbranchmapping Parsing options vmtkbranchmapping

vmtkbranchmapping : constructs a harmonic function over each vascular

    segment; maps and stretches the longitudinal metric to correctly account for the presence of insertion regions at bifurcations; the additional StretchedMapping array is added to the surface

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1)

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-centerlines Centerlines (vtkPolyData,1)

-centerlinesfile CenterlinesInputFileName (str,1): filename for the

    default Centerlines reader

-referencesystems ReferenceSystems (vtkPolyData,1)

-referencesystemsfile ReferenceSystemsInputFileName (str,1):

    filename for the default ReferenceSystems reader

-abscissasarray AbscissasArrayName (str,1); default=Abscissas

-normalsarray NormalsArrayName (str,1);

    default=ParallelTransportNormals

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds

-centerlineidsarray CenterlineIdsArrayName (str,1);

    default=CenterlineIds

-tractidsarray TractIdsArrayName (str,1); default=TractIds

-referencesystemsnormalarray ReferenceSystemsNormalArrayName

    (str,1); default=Normal

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius

-blankingarray BlankingArrayName (str,1); default=Blanking

-angularmetricarray AngularMetricArrayName (str,1);

    default=AngularMetric

-harmonicmappingarray HarmonicMappingArrayName (str,1);

    default=HarmonicMapping

-abscissametricarray AbscissaMetricArrayName (str,1);

    default=AbscissaMetric

-boundarymetricarray BoundaryMetricArrayName (str,1);

    default=BoundaryMetric

-stretchedmappingarray StretchedMappingArrayName (str,1);

    default=StretchedMapping

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1)

-harmonicmappingarray HarmonicMappingArrayName (str,1);

    default=HarmonicMapping

-boundarymetricarray BoundaryMetricArrayName (str,1);

    default=BoundaryMetric

-stretchedmappingarray StretchedMappingArrayName (str,1);

    default=StretchedMapping